<?PHP

require '../inc/page.zip.php';
require '../inc/conf.php';
require _Core.'/extender.php';
require _Core.'/template.php';
require _Core.'/engine.php';

$self = new Engine;
$self->__init();
$self->callClass(array('File'));

if($_GET['file']){

	echo file_get_Contents(_RootFolder.'/files/models/'.$_GET['file']);
}
else{

	$self->File->GetAllFiles(_RootFolder.'/files/models');
	foreach($self->File->Files as $v){

		if(!preg_match('/framework/i', $v['file'])){

			echo $v['file']."\n";
		}
	}
}

$self->end();

?>